From b04e77f20ad8d625c33893b040574642028c1d2c Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Tue, 13 Jan 2009 14:27:54 +0530
Subject: [PATCH] Fix xulrunner build on ARM.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 xulrunner-1.9-arm.patch |    8 ++++++++
 xulrunner.spec          |    5 +++--
 2 files changed, 11 insertions(+), 2 deletions(-)
 create mode 100644 xulrunner-1.9-arm.patch

diff --git a/xulrunner-1.9-arm.patch b/xulrunner-1.9-arm.patch
new file mode 100644
index 0000000..748f7ce
--- /dev/null
+++ b/xulrunner-1.9-arm.patch
@@ -0,0 +1,8 @@
+--- firefox-3.0.orig/mozilla/netwerk/cookie/src/Makefile.in	2008-05-28 20:25:41.000000000 -0400
++++ firefox-3.0/mozilla/netwerk/cookie/src/Makefile.in	2008-05-28 20:26:13.000000000 -0400
+@@ -60,5 +60,4 @@ CPPSRCS		= \
+ 
+ include $(topsrcdir)/config/rules.mk
+ 
+-CXXFLAGS += $(WARNINGS_AS_ERRORS)
+ DEFINES += -DIMPL_NS_NET
diff --git a/xulrunner.spec b/xulrunner.spec
index 26a579c..175753c 100644
--- a/xulrunner.spec
+++ b/xulrunner.spec
@@ -8,7 +8,7 @@
 Summary:        XUL Runtime for Gecko Applications
 Name:           xulrunner
 Version:        1.9.0.2
-Release:        5%{?dist}
+Release:        5%{?dist}.fa1
 URL:            http://developer.mozilla.org/En/XULRunner
 License:        MPLv1.1 or GPLv2+ or LGPLv2+
 Group:          Applications/Internet
@@ -33,7 +33,7 @@ Patch26:        mozilla-ps-pdf-simplify-operators.patch
 Patch27:        mozilla-ssl-exception.patch
 Patch28:        mozilla-1.9.0.2-pwmgr.patch
 Patch29:        mozilla-1.9.0.2-pwmgr2.patch
-
+Patch30: 	xulrunner-1.9-arm.patch
 
 # ---------------------------------------------------
 
@@ -132,6 +132,7 @@ autoconf-2.13
 %patch26 -p1 -b .ps-pdf-simplify-operators
 %patch28 -p0 -b .pwmgr
 %patch29 -p0 -b .pwmgr2
+%patch30 -p2 -b .arm
 
 
 %{__rm} -f .mozconfig
-- 
1.5.3.3

